QwtPickerPolygonMachine(3)

NAME
QwtPickerPolygonMachine - A state machine for polygon selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions
QwtPickerPolygonMachine ()
Constructor.
virtual QList< Command > transition (const QwtEventPattern &, const QEvent *)
Transition.

  Additional Inherited Members

Detailed Description

A state machine for polygon selections. Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection and selects the first point, or appends a point. Pressing QwtEventPattern::MouseSelect2 or QwtEventPattern::KeySelect2 appends the last point and terminates the selection.

See also
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.